%define name    dell-lsiflash
%define version 1.4.9
%define release %mkrel 5

Name:       %{name}
Version:    %{version} 
Release:    %{release}
Summary:    A firmware-tools plugin to handle flash of LSI RAID cards <= PERC4
Group:      System/Kernel and hardware
License:    GPL OSL
URL:        http://linux.dell.com/libsmbios/download/ 
Source0:    http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
# Dell only sells Intel-compat systems, so this package doesnt make much sense
# on, eg. PPC.  Also, we rely on libsmbios, which is only avail on Intel-compat
ExclusiveArch: x86_64 %{ix86}
Requires:       firmware-tools >= 0:1.3.0
BuildRequires:  python-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
The dell-lsiflash package provides plugins to firmware-tools which enable
inventory and firmware updates for LSI RAID adapters.

%prep
%setup -q

%build
sed -i -e 's|/usr/libexec|%{_libexecdir}|g' setup.py
%{__python} setup.py build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/firmware/dell/bios
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/firmware/lsi/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING-GPL COPYING-OSL README
#%{python_sitearch}/*
%{_libexecdir}/*
%{_datadir}/firmware/lsi/
%config(noreplace) %{_sysconfdir}/firmware/firmware.d/*.conf



%changelog
* Tue Jan 06 2009 Funda Wang <fundawang@mandriva.org> 1.4.9-5mdv2009.1
+ Revision: 325204
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.4.9-4mdv2009.0
+ Revision: 244028
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.4.9-2mdv2008.1
+ Revision: 140721
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.9-2mdv2008.0
+ Revision: 83941
- drop explicit dependency on libstdc++.so.5

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.9-1mdv2008.0
+ Revision: 81207
- import dell-lsiflash


* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.9 -1mdv2008.0
- contributed by Olivier Lahaye <olivier.lahaye at free.fr> 
